"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.heartbeat = exports.HEARTBEAT_INTERVAL = void 0;
const sp_common_1 = require("@streamdal/protos/protos/sp_common");
const register_js_1 = require("./register.js");
exports.HEARTBEAT_INTERVAL = 1000;
const heartbeat = async ({ serviceName, grpcClient, sessionId, streamdalToken, }) => {
    try {
        const heartbeatRequest = {
            sessionId,
            serviceName,
            audiences: Array.from(register_js_1.internal.audiences.values()).map((a) => a.audience),
            clientInfo: register_js_1.clientInfo,
        };
        console.debug("sending heartbeat", heartbeatRequest);
        const call = grpcClient.heartbeat(heartbeatRequest, {
            meta: { "auth-token": streamdalToken },
        });
        const response = await call.response;
        if (response.code !== sp_common_1.ResponseCode.OK) {
            console.error("Heartbeat error", response.message);
        }
    }
    catch (e) {
        console.error(`error sending heartbeat to server, will try again in ${exports.HEARTBEAT_INTERVAL / 1000} seconds, error: `, e);
    }
};
exports.heartbeat = heartbeat;
//# sourceMappingURL=heartbeat.js.map