import { Audience, OperationType } from "@streamdal/protos/protos/sp_common";
import { IInternalClient } from "@streamdal/protos/protos/sp_internal.client";
import { ExecStatus, SDKResponse } from "@streamdal/protos/protos/sp_sdk";
export { Audience, ExecStatus, OperationType, SDKResponse };
export interface StreamdalConfigs {
    streamdalUrl?: string;
    streamdalToken?: string;
    serviceName?: string;
    pipelineTimeout?: string;
    stepTimeout?: string;
    dryRun?: boolean;
    audiences?: Audience[];
    quiet?: boolean;
}
export interface Configs {
    grpcClient: IInternalClient;
    streamdalUrl: string;
    streamdalToken: string;
    serviceName: string;
    pipelineTimeout: string;
    stepTimeout: string;
    dryRun: boolean;
    sessionId: string;
    audiences?: Audience[];
}
export interface StreamdalRequest {
    audience: Audience;
    data: Uint8Array;
}
export declare class Streamdal {
    private configs;
    constructor({ streamdalUrl, streamdalToken, serviceName, pipelineTimeout, stepTimeout, dryRun, audiences, quiet, }: StreamdalConfigs);
    process({ audience, data }: StreamdalRequest): Promise<SDKResponse>;
}
