import { PipelineStep } from "@streamdal/protos/protos/sp_pipeline";
import { InterStepResult, WASMExitCode, WASMResponse } from "@streamdal/protos/protos/sp_wsm";
export declare const instantiateWasm: (wasmId?: string, wasmBytes?: Uint8Array) => Promise<void>;
export declare const writeResponse: (pointer: number, length: number) => bigint;
export declare const runWasm: ({ step, originalData, interStepResult, }: {
    step: PipelineStep;
    originalData: Uint8Array;
    interStepResult?: InterStepResult | undefined;
}) => WASMResponse | {
    outputStep: null;
    outputPayload: Uint8Array;
    exitCode: WASMExitCode;
    exitMsg: string;
    interStepResult: undefined;
};
